import request from '@/utils/request'

// 查询quanyi列表
export function listQuanyi(query) {
  return request({
    url: '/system/sjquanyi/list',
    method: 'get',
    params: query
  })
}

// 查询quanyi详细
export function getQuanyi(id) {
  return request({
    url: '/system/sjquanyi/' + id,
    method: 'get'
  })
}

// 新增quanyi
export function addQuanyi(data) {
  return request({
    url: '/system/sjquanyi',
    method: 'post',
    data: data
  })
}

// 修改quanyi
export function updateQuanyi(data) {
  return request({
    url: '/system/sjquanyi',
    method: 'put',
    data: data
  })
}

// 删除quanyi
export function delQuanyi(id) {
  return request({
    url: '/system/sjquanyi/' + id,
    method: 'delete'
  })
}
//  获取店铺列表
export function getStoreList(id) {
  return request({
    url: '/system/sjquanyi/getStoreList?sjId=' + id,
    method: 'get'
  })
}
